Bulk Update Deliverables Type
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliverables_type": "files",
"product_ids": [
6
],
"all": false
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type"
payload = {
"deliverables_type": "files",
"product_ids": [6],
"all": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deliverables_type: 'files', product_ids: [6], all: false})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'deliverables_type' => 'files',
'product_ids' => [
6
],
'all' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type"
payload := strings.NewReader("{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Products updated successfully",
"updated_count": 2,
"skipped_count": 0,
"skipped_product_ids": []
}Products
Bulk Update Deliverables Type
Bulk updates the product deliverables type. Manual fulfillment is kept only on service products. Switching away from serials sets variant stock to 0, and switching to serials sets it to the number of deliverables.
PUT
/
v1
/
shops
/
{shopId}
/
products
/
bulk-update
/
deliverables-type
Bulk Update Deliverables Type
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliverables_type": "files",
"product_ids": [
6
],
"all": false
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type"
payload = {
"deliverables_type": "files",
"product_ids": [6],
"all": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deliverables_type: 'files', product_ids: [6], all: false})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'deliverables_type' => 'files',
'product_ids' => [
6
],
'all' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type"
payload := strings.NewReader("{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/products/bulk-update/deliverables-type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"deliverables_type\": \"files\",\n \"product_ids\": [\n 6\n ],\n \"all\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Products updated successfully",
"updated_count": 2,
"skipped_count": 0,
"skipped_product_ids": []
}Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json